<div class="article-progress" data-article-progress></div>

<script>
(function() {
	var $progress = document.querySelector('[data-article-progress]');
	var body = document.body;
	var html = document.documentElement;
	var isFixed = false;

	var onScroll = function() {
		var scrollTop = body.scrollTop;
		var height = Math.max(body.scrollHeight, body.offsetHeight, html.clientHeight, html.scrollHeight, html.offsetHeight);
		var WH = window.innerHeight;

		if (scrollTop > 60 && !isFixed) {
			isFixed = true;
			$progress.classList.add('fixed');
		} else if (scrollTop < 60 && isFixed) {
			isFixed = false;
			$progress.classList.remove('fixed');
		}

		const percentage = ((scrollTop / height) * 100);
		$progress.style.width = percentage + (WH * percentage / height) + '%';
	};

	window.addEventListener('scroll', onScroll, false);
	onScroll();
})();
</script>
